import upload from '@/utils/upload'
import request from '@/utils/request'

// 获取消息列表
export function getMessageList() {
  return request({
    url: '/business/message/list',
    method: 'get',
  })
}

// 提交反馈信息
export function addFeedback(data) {
  return request({
    url: '/business/feedback',
	method: 'post',
    data: data
  })
}

// 医生绑定志愿者
export function bindVolunteer(data) {
  return request({
    url: '/business/doctorVolunteer/bindVolunteer',
	method: 'post',
    data: data
  })
}

// 志愿者绑定医生
export function bindDoctor(data) {
  return request({
    url: '/business/doctorVolunteer/bindDoctor',
	method: 'post',
    data: data
  })
}

// 解绑志愿者、医生
export function unbind(id) {
  return request({
    url: '/business/doctorVolunteer/'+id,
	method: 'delete'
  })
}

// 获取已绑定志愿者列表
export function getVolunteerList() {
  return request({
    url: '/business/doctorVolunteer/volunteerList',
	method: 'get'
  })
}

// 获取已绑定医生列表
export function getDoctorList() {
  return request({
    url: '/business/doctorVolunteer/doctorList',
	method: 'get'
  })
}

